Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Oomph » Issue with installer (64bit photon)(issue with eclipse installer)
Issue with installer (64bit photon) [message #1785235] Wed, 11 April 2018 10:41 Go to next message
Bradley McMahon is currently offline Bradley McMahonFriend
Messages: 4
Registered: April 2018
Junior Member
I have a couple issues with the installer.
First when I try to update the install I can't check/select the certificates to trust and the entire program becomes unresponsive to any button clicks but I can move the windows around. I have to kill the program to close it.

Second. When I just ignore the update and try to install Proton I get an error but not when I install Oxygen.
Executing bootstrap tasks
OpenJDK Runtime Environment 9-Ubuntu+0-9b181-4
Product org.eclipse.products.epp.package.jee.latest
Bundle org.eclipse.oomph.setup 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
Bundle org.eclipse.oomph.setup.core 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
Bundle org.eclipse.oomph.setup.installer 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
Bundle org.eclipse.oomph.setup.p2 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
Performing P2 Director (Eclipse IDE for Java EE Developers (Photon))
Offline = false
Mirrors = true
Resolving 65 requirements from 3 repositories to /home/bmcmahon/jee-latest4/eclipse
Requirement epp.package.jee [4.8.0,5.0.0)
Requirement org.eclipse.platform.feature.group [4.8.0,5.0.0)
Requirement org.eclipse.rcp.feature.group [4.8.0,5.0.0)
Requirement org.eclipse.buildship.feature.group
Requirement org.eclipse.cft.server.core.feature.feature.group
Requirement org.eclipse.cft.server.ui.feature.feature.group
Requirement org.eclipse.datatools.common.doc.user.feature.group
Requirement org.eclipse.datatools.connectivity.doc.user.feature.group
Requirement org.eclipse.datatools.connectivity.feature.feature.group
Requirement org.eclipse.datatools.doc.user.feature.group
Requirement org.eclipse.datatools.enablement.feature.feature.group
Requirement org.eclipse.datatools.intro.feature.group
Requirement org.eclipse.datatools.modelbase.feature.feature.group
Requirement org.eclipse.datatools.sqldevtools.feature.feature.group
Requirement org.eclipse.datatools.sqltools.doc.user.feature.group
Requirement org.eclipse.eclemma.feature.feature.group
Requirement org.eclipse.egit.feature.group
Requirement org.eclipse.egit.mylyn.feature.group
Requirement org.eclipse.jdt.feature.group
Requirement org.eclipse.jpt.common.eclipselink.feature.feature.group
Requirement org.eclipse.jpt.common.feature.feature.group
Requirement org.eclipse.jpt.dbws.eclipselink.feature.feature.group
Requirement org.eclipse.jpt.jaxb.eclipselink.feature.feature.group
Requirement org.eclipse.jpt.jaxb.feature.feature.group
Requirement org.eclipse.jpt.jpa.eclipselink.feature.feature.group
Requirement org.eclipse.jpt.jpa.feature.feature.group
Requirement org.eclipse.jsf.feature.feature.group
Requirement org.eclipse.jst.common.fproj.enablement.jdt.feature.group
Requirement org.eclipse.jst.enterprise_ui.feature.feature.group
Requirement org.eclipse.jst.jsf.apache.trinidad.tagsupport.feature.feature.group
Requirement org.eclipse.jst.server_adapters.ext.feature.feature.group
Requirement org.eclipse.jst.server_adapters.feature.feature.group
Requirement org.eclipse.jst.server_ui.feature.feature.group
Requirement org.eclipse.jst.web_ui.feature.feature.group
Requirement org.eclipse.jst.webpageeditor.feature.feature.group
Requirement org.eclipse.jst.ws.axis2tools.feature.feature.group
Requirement org.eclipse.jst.ws.cxf.feature.feature.group
Requirement org.eclipse.jst.ws.jaxws.dom.feature.feature.group
Requirement org.eclipse.jst.ws.jaxws.feature.feature.group
Requirement org.eclipse.m2e.feature.feature.group
Requirement org.eclipse.m2e.logback.feature.feature.group
Requirement org.eclipse.m2e.wtp.feature.feature.group
Requirement org.eclipse.m2e.wtp.jaxrs.feature.feature.group
Requirement org.eclipse.m2e.wtp.jpa.feature.feature.group
Requirement org.eclipse.m2e.wtp.jsf.feature.feature.group
Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
Requirement org.eclipse.mylyn.context_feature.feature.group
Requirement org.eclipse.mylyn.ide_feature.feature.group
Requirement org.eclipse.mylyn.java_feature.feature.group
Requirement org.eclipse.mylyn.wikitext_feature.feature.group
Requirement org.eclipse.mylyn_feature.feature.group
Requirement org.eclipse.pde.feature.group
Requirement org.eclipse.recommenders.mylyn.rcp.feature.feature.group
Requirement org.eclipse.recommenders.rcp.feature.feature.group
Requirement org.eclipse.rse.feature.group
Requirement org.eclipse.rse.useractions.feature.group
Requirement org.eclipse.tm.terminal.feature.feature.group
Requirement org.eclipse.wst.common.fproj.feature.group
Requirement org.eclipse.wst.jsdt.chromium.debug.feature.feature.group
Requirement org.eclipse.wst.jsdt.feature.feature.group
Requirement org.eclipse.wst.server_adapters.feature.feature.group
Requirement org.eclipse.wst.web_ui.feature.feature.group
Requirement org.eclipse.wst.xml_ui.feature.feature.group
Requirement org.eclipse.wst.xsl.feature.feature.group
Requirement org.eclipse.oomph.setup.feature.group
Repository http://download.eclipse.org/technology/epp/packages/photon
Repository http://download.eclipse.org/releases/photon
Repository http://download.eclipse.org/oomph/updates/milestone/latest
Adding repository http://download.eclipse.org/releases/photon
Adding repository http://download.eclipse.org/technology/epp/packages/photon
Adding repository http://download.eclipse.org/oomph/updates/milestone/latest
Calculating requirements and dependencies.
Cannot complete the request.  Generating details.
ERROR: org.eclipse.equinox.p2.director code=10053 Cannot complete the install because one or more required items could not be found.
  at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
  at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.resolve(ProfileTransactionImpl.java:425)
  at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:337)
  at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:729)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3324)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3252)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3233)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3133)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:575)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:701)
  at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)
  ERROR: org.eclipse.equinox.p2.director code=0 Software being installed: artificial_root 1.0.0.v1523443174828
  ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: artificial_root 1.0.0.v1523443174828 requires 'org.eclipse.rse.feature.group 0.0.0' but it could not be found

Took 10 seconds.
There are failed tasks.
Press Back to choose different settings or Cancel to abort.


I can repeat this on several machines and even a workmate can reproduce this behavior.
Re: Issue with installer (64bit photon) [message #1785302 is a reply to message #1785235] Thu, 12 April 2018 09:05 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29653
Registered: July 2009
Senior Member
I'll have to try to reproduce the certificate problem; likely your JDK installation itself is missing some root certificates leading to this problem, but obviously the application should not become unresponsive. As for the Photon install, most likely I need to regenerate the product catalog because some older (obsolete) dependency has been removed from the photon repo, but I can't do that until I'm back this weekend. Feel free to open a Bugzilla for each problem.
Re: Issue with installer (64bit photon) [message #1785536 is a reply to message #1785302] Mon, 16 April 2018 12:56 Go to previous messageGo to next message
Bradley McMahon is currently offline Bradley McMahonFriend
Messages: 4
Registered: April 2018
Junior Member
Looks like the repo has been repaired. Thank you
Re: Issue with installer (64bit photon) [message #1785537 is a reply to message #1785302] Mon, 16 April 2018 12:56 Go to previous messageGo to next message
Bradley McMahon is currently offline Bradley McMahonFriend
Messages: 4
Registered: April 2018
Junior Member
Looks like the repo has been repaired. Thank you
Re: Issue with installer (64bit photon) [message #1785538 is a reply to message #1785302] Mon, 16 April 2018 12:56 Go to previous message
Bradley McMahon is currently offline Bradley McMahonFriend
Messages: 4
Registered: April 2018
Junior Member
Looks like the repo has been repaired. Thank you
Previous Topic:Selectively Saving a variable
Next Topic:Central setup file, workspace settings
Goto Forum:
  


Current Time: Sun Nov 18 17:21:55 GMT 2018

Powered by FUDForum. Page generated in 0.02603 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top